var cupom = mapperFactory.createMapper("PdvVd");
var i = 0;
var coo = message.get("Cupom");
var itens = coo.get("Produtos");
var receitas = coo.get("Receita");
var nfce = coo.get("DadosNfce");
var recebimentosDetalhes = coo.get("RecebimentosDetalhes");
var recebimentosCartao = recebimentosDetalhes.get("Cartao");
var recebimentosCheque = recebimentosDetalhes.get("Cheque");
var cdVd = 0;

cdVd = cupom.selectOne("listarMaxCdVd",null); /* Pega o proximo cdVd para inserir */
coo.put("cdVd",cdVd.get("cdVd"));
cupom.insert("inserirCupom",coo); //INSERE PDV_VD

for (i = 0; i < itens.size(); i++) {
  var item = itens.get(i);
  item.put("cdVd",cdVd.get("cdVd"));
  cupom.insert("inserirCupomItens",item); //INSERE PDV_VD_IT
}

for (i = 0; i < receitas.size(); i++) {
  var receita = receitas.get(i);
  receita.put("cdVd",cdVd.get("cdVd"));
  cupom.insert("inserirCupomReceita",receita); //INSERE PDV_VD_IT_REC
}

for (i = 0; i < recebimentosCartao.size(); i++) {
  var recebimento = recebimentosCartao.get(i);
  recebimento.put("cdVd",cdVd.get("cdVd"));
  cupom.insert("inserirCupomRecebimentosCartaoTef",recebimento); 
}

for (i = 0; i < recebimentosCheque.size(); i++) {
  var recebimentoChq = recebimentosCheque.get(i);
  recebimentoChq.put("cdVd",cdVd.get("cdVd"));
  cupom.insert("inserirCupomRecebimentosCheques",recebimentoChq);
}

for (i = 0; i < nfce.size(); i++) {
  var Cnfce = nfce.get(i);
  Cnfce.put("cdVd",cdVd.get("cdVd"));
  cupom.insert("inserirCupomNfce",Cnfce);
}

cupom.commit();

coo.get("cdVd");
